%global momorel 3
Summary: GNOME binary editor
Name: ghex
Version: 2.8.1
Release: %{momorel}m
License: GPL
Group: Applications/System
%NoSource 0 ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/2.8/%{name}-%{version}.tar.bz2 ef17f945b9dc701193451f9b083e5116
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://www.gnome.org/
Prereq: GConf
Prereq: scrollkeeper
Prereq: desktop-file-utils >= 0.10
BuildPrereq: gtk+ >= 2.8.6
BuildPrereq: atk >= 1.10.3
BuildPrereq: libxml2 >= 2.6.22
BuildPrereq: libgnomeui >= 2.12.0
BuildPrereq: libglade-devel >= 2.5.1
BuildPrereq: gail-devel >= 1.8.5
BuildPrereq: libgnomeui-devel >= 2.12.0
BuildPrereq: libgnomeprintui-devel >= 2.12.1
BuildPrereq: openssl-devel >= 0.9.8a

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The ghex package
includes gnome binary editor.

%package devel
Summary: ghex include files and libraries.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libglade-devel
Requires: gail-devel
Requires: libgnomeui-devel
Requires: libgnomeprintui-devel
Requires: pkgconfig
                                                                                
%description devel
ghex include files and libraries.

%prep
%setup -q

%build

%configure
%make

%install
rm -rf %{buildroot}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall

# remove
rm -rf %{buildroot}/var/scrollkeeper

%clean
rm -rf %{buildroot}

%post
update-desktop-database %{_datadir}/applications
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/ghex2.schemas > /dev/null
scrollkeeper-update

%postun
update-desktop-database %{_datadir}/applications
scrollkeeper-update

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/ghex2.schemas
%{_bindir}/ghex2
%{_libdir}/lib*.la
%{_libdir}/lib*.so.*
%{_datadir}/omf/ghex
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/gnome/help/ghex2
%{_datadir}/locale/*/*/ghex-2.0.mo
%{_datadir}/applications/ghex.desktop
%{_datadir}/pixmaps/gnome-ghex.png

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gtkhex

%ChangeLog
* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2.8.1-3m)
- rebuild against openssl-0.9.8a

* Wed Nov 23 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.8.1-2m)
- rebuild against

* Wed Jan 27 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.8.1-1m)
- version 2.8.1

* Sat May  8 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.6.0-1m)
- version 2.6.0

* Sat Apr 10 2004 Masaru SANUKI <sanuki@momonga-linux.org>
- (2.5.0-3m)
- rebuild against for libxml2-2.6.8

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (2.5.0-2m)
- revised spec for enabling rpm 4.2.

* Tue Oct 14 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.5.0-1m)
- version 2.5.0

* Sun Apr 13 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.3.0-1m)
- version 2.3.0

* Fri Mar 07 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.0-3m)
- rebuild against for XFree86-4.3.0

* Fri Mar  7 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (2.2.0-2m)
  rebuild against openssl 0.9.7a

* Tue Jan 07 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (2.2.0-1m)
- version 2.2.0

* Fri Dec 27 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.99.90-1m)
- version 1.99.90

* Mon Oct 28 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.99.2-1m)
- version 1.99.2

* Wed Sep  4 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.99.1-1m)
- version 1.99.1

* Sun Jul 21 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (1.2.1-17m)
- remove .omf, gnome/help

* Mon Dec 17 2001 Shingo Akagaki <dora@kondara.org>
- (1.2.1-14k)
- add ghex-1.2.1-omfenc.patch

* Thu Nov 15 2001 Motonobu Ichimura <famao@kondara.org>
- (1.2.1-12k)
- move zh_CN.GB2312 => zh_CN
- move zh_TW.Big5 => zh_TW

* Wed Oct 17 2001 Toru Hoshina <t@kondara.org>
- (1.2.1-6k)
- rebuild against gettext 0.10.40.

* Mon Aug 27 2001 Shingo Akagaki <dora@kondara.org>
- (1.2.1-4k)
- rebuild against for gnome-print-0.29

* Mon Jun 18 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- verison 1.2.1

* Tue May 2 2001 Shingo Akagaki <dora@digitalfactory.co.jp>
- rebuild against gnome-print-0.25

* Wed Mar 14 2001 Shingo Akagaki <dora@kondara.org>
- (1.2-3k)
- version 1.2

* Thu Nov 16 2000 Shingo Akagaki <dora@kondara.org>
- version 1.1.4

* Tue Nov 07 2000 Shingo Akagaki <dora@kondara.org>
- added gnome-print-0.24 patch

* Wed Oct 18 2000 Toru Hoshina <toru@df-usa.com>
- rebuild against gnome-print-0.24.

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Thu Jun 22 2000 Shingo Akagaki <dora@kondara.org>
- version 1.1.3

* Mon Mar 27 2000 Shingo Akagaki <dora@kondara.org>
- first release
